﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using WarfarinOnWeb.Code.DataAccess;
using WarfarinOnWeb.Code.BusinessLogic;

namespace WarfarinOnWeb
{
    public partial class Login : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (IsPostBack != true)
            {
                //if user already exists it means it is logout request
                if (Session["User"] != null)
                {
                    Session["User"] = null;
                    Response.Redirect("./Home.aspx");

                }
            }
        }

        protected void ctrLogin_Authenticate(object sender, AuthenticateEventArgs e)
        {
           // DataOperation dataOperation = new DataOperation();
            DataAccessHome dataAccess = new DataAccessHome();
            string password = "";
            password = dataAccess.GetPassword(ctrLogin.UserName);
            if (password != "")
            {
                string hash = FormsAuthentication.HashPasswordForStoringInConfigFile(ctrLogin.Password + "book", "md5").ToLower();
                if (hash == password)
                {
                    User user = dataAccess.GetUser(ctrLogin.UserName);
                    Session["User"] = user;
                    Session["PersonID"] = user.PersonID;
                    // FormsAuthentication.RedirectFromLoginPage(ctrLogin.UserName,
                    //                               false);
                    Response.Redirect("./Home.aspx");
                }
            }
            UserError.Text = "Invalid Credentials: Please try again";
        }
    }
}
