﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MakePrediction.aspx.cs" Inherits="WarfarinOnWeb.MakePrediction" MasterPageFile="~/MasterPageWarfarin.Master" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server"> 



<div class="post">
				<h2 class="title">
                    <asp:Label ID="lblSelectModel" runat="server" Text="Make a Prediction"></asp:Label></h2>
				
				<div class="entry">
					<h4> Step 1. Choose models from the list that you want to base your prediction on (use checkBox column)</h4>
                        <asp:GridView ID="gvModelList" runat="server" PageSize="15"  AllowSorting="True" AllowPaging="True"
                        DataSourceID="ObjectDataSource1" EmptyDataText="No records found"  DataKeyNames="ModelID" 
                            AutoGenerateColumns="False" OnRowDataBound="gvModelList_RowDataBound" 
                                OnSelectedIndexChanged="gvModelList_SelectedIndexChanged">
                            <Columns>
                            <asp:CommandField SelectText ="Select" ShowSelectButton="true" 
                                    ItemStyle-CssClass = "HideButton" HeaderStyle-CssClass ="HideButton"  >
                           
<HeaderStyle CssClass="HideButton"></HeaderStyle>

<ItemStyle CssClass="HideButton"></ItemStyle>
                                </asp:CommandField>
                           
                                <asp:BoundField DataField="ModelFileName" HeaderText="Model Name" />
                                <asp:BoundField DataField="MadeByPerson" HeaderText="Created By" />
                                <asp:BoundField DataField="DateCreated" DataFormatString="{0:d}" 
                                    HeaderText="Date Created" />
                                    <asp:BoundField DataField="AccuracyLevel" HeaderText="Accuracy Level" />
                                <asp:BoundField DataField="ModelType" HeaderText="Model Type" />
                                 <asp:TemplateField>
                            <ItemTemplate>
                                <asp:CheckBox runat="server" ID="ModelCheckBox" Checked ='<%#Eval("UseInPrediction")%>' />
                            </ItemTemplate>
                          </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
                            SelectMethod="GetModelTable" 
                            TypeName="WarfarinOnWeb.Code.DataAccess.DataAccessHome">
                            <SelectParameters>
                                <asp:SessionParameter Name="patientID" SessionField="PatientID" Type="Int32" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        
                    <div class="post">
                    <h4> Attribute List for Selected Model 
                        <asp:Label ID="lblModelName" runat="server" Text=""></asp:Label></h4>
                        <div class="entry">
		                    <asp:GridView ID="gdvAttributeList" runat="server" 
                                DataSourceID="ObjectDataSource2" AutoGenerateColumns="False">
                                <Columns>
                                    <asp:BoundField DataField="ColumnName" HeaderText="ColumnName" 
                                        SortExpression="ColumnName" />
                                    <asp:BoundField DataField="Function" HeaderText="Function" 
                                        SortExpression="Function" />
                                    <asp:BoundField DataField="Interval" HeaderText="Interval" 
                                        SortExpression="Interval" />
                                    <asp:CheckBoxField DataField="IsOutput" HeaderText="IsOutput" 
                                        SortExpression="IsOutput" />
                                    <asp:BoundField DataField="AttributeName" HeaderText="AttributeName" 
                                        SortExpression="AttributeName" />
                                </Columns>
                        </asp:GridView>
                            <asp:ObjectDataSource ID="ObjectDataSource2" runat="server" 
                                SelectMethod="GetAttributeList" 
                                TypeName="WarfarinOnWeb.Code.DataAccess.DataAccessHome">
                                <SelectParameters>
                                    <asp:ControlParameter ControlID="gvModelList"  Name="ModelID" 
                                        PropertyName="SelectedValue"  DefaultValue =123 Type="Int32" />
                                </SelectParameters>
                            </asp:ObjectDataSource>
                        </div> 
                    </div> 
                        

		
	            </div>
	        </div> 



            <div class="post">
				<h4 class="title">
                    Step 2. Add New Reading and Update the Model </h4>
				
				<div class="entry" >
				<h5> This is the list of previous readings and prescribed doses, if you have a new reading to submit use the box below to do so, if not proceed to the Step3</h5>
                    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" PageSize="15"  
                                AllowSorting="True" AllowPaging="True"
                        DataSourceID="oDSGetDoseList" EmptyDataText="No records found" >
                        <Columns>
                            <asp:BoundField DataField="ReadingDate" DataFormatString="{0:d}" 
                                HeaderText="ReadingDate" SortExpression="ReadingDate" />
                            <asp:BoundField DataField="INR" HeaderText="INR" SortExpression="INR" />
                            <asp:BoundField DataField="Day1" HeaderText="Day1" SortExpression="Day1" />
                            <asp:BoundField DataField="Day2" HeaderText="Day2" SortExpression="Day2" />
                            <asp:BoundField DataField="Day3" HeaderText="Day3" SortExpression="Day3" />
                            <asp:BoundField DataField="Day4" HeaderText="Day4" SortExpression="Day4" />
                            <asp:BoundField DataField="Day5" HeaderText="Day5" SortExpression="Day5" />
                            <asp:BoundField DataField="Day6" HeaderText="Day6" SortExpression="Day6" />
                            <asp:BoundField DataField="Day7" HeaderText="Day7" SortExpression="Day7" />
                        </Columns>
                    </asp:GridView>
                    <asp:ObjectDataSource ID="oDSGetDoseList" runat="server" 
                        SelectMethod="GetDoseList" 
                        TypeName="WarfarinOnWeb.Code.DataAccess.DataAccessHome">
                        <SelectParameters>
                            <asp:QueryStringParameter Name="patientID" QueryStringField="PatientID" 
                                Type="Int32" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
				</div> 
	</div> 
	
	<div class="entry" >
	<h5>Reading Period in Days</h5>
        <asp:TextBox ID="txtReadingPeriod" runat="server" Text ="21"></asp:TextBox>
	</div> 
	<h5>Add New Reading</h5> 
	<div class="entry" >
	<asp:TextBox ID="txtReading" runat="server" Text=""></asp:TextBox>
	<br />
	
                        <asp:RegularExpressionValidator
                            ID="ReadingExpression" runat="server" ControlToValidate="txtReading" ErrorMessage="Reading can anly be number between 0.0 to 99.9" ValidationExpression="^([1-9]{0,1})([0-9]{1})(\.[0-9])?$"></asp:RegularExpressionValidator>
         
        <asp:Button ID="btnAddNewReading" runat="server" 
            Text="Submit Reading and Update Models" onclick="btnAddNewReading_Click"  />
	    
	</div> 

	<h4 class ="title">Step 3. Create weekly dose pattern that you would like to make prediction on</h4> 
	<div class="entry" >
	**You could create pattern by putting the dose values into the boxes bellow, 
	or you could leave them empthy and run the default 1-15 test.
	<table border="1">
	<tr>
	<th>Day1</th>
	<th>Day2</th>
	<th>Day3</th>
	<th>Day4</th>
	<th>Day5</th>
	<th>Day6</th>
	<th>Day7</th>
	
	</tr>
	<tr>	
	<td>
        <asp:TextBox ID="txtDay1" runat="server" Width="50"></asp:TextBox></td>
	<td><asp:TextBox ID="txtDay2" runat="server" Width="50"></asp:TextBox></td>
	<td><asp:TextBox ID="txtDay3" runat="server" Width="50"></asp:TextBox></td>
	<td><asp:TextBox ID="txtDay4" runat="server" Width="50"></asp:TextBox></td>
	<td><asp:TextBox ID="txtDay5" runat="server" Width="50"></asp:TextBox></td>
	<td><asp:TextBox ID="txtDay6" runat="server" Width="50"></asp:TextBox></td>
	<td><asp:TextBox ID="txtDay7" runat="server" Width="50"></asp:TextBox></td>
	</tr>
	</table>
	</div> 
	
	<p>
	<div class="entry" >
        <asp:Button ID="btnMakePrediction" runat="server" Text="Make Prediction" 
            onclick="btnMakePrediction_Click" />
	</div> 
	</p>
	
	<p>
	<div class="entry">
	
        <asp:GridView ID="gvResult" runat="server">
        </asp:GridView>
	</div>
	</p>
	
	
	
</asp:Content> 