﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ModelList.aspx.cs" Inherits="WarfarinOnWeb.ModelList" MasterPageFile="~/MasterPageWarfarin.Master"   %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

		<div class="post">
				<h2 class="title">
                    <asp:Label ID="lblSelectModel" runat="server" Text="Choose a model from the list"></asp:Label></h2>
				
				<div class="entry">
					
                        <asp:GridView ID="gvModelList" runat="server" PageSize="15"  
                            AllowSorting="True" AllowPaging="True"
                        DataSourceID="ObjectDataSource1" EmptyDataText="No records found"  DataKeyNames="ModelID" 
                            AutoGenerateColumns="False" OnRowDataBound="gvModelList_RowDataBound" 
                            OnSelectedIndexChanged="gvModelList_SelectedIndexChanged">
                            <Columns>
                            <asp:CommandField SelectText ="Select" ShowSelectButton="true" 
                                    ItemStyle-CssClass = "HideButton" HeaderStyle-CssClass ="HideButton"  >


<HeaderStyle CssClass="HideButton"></HeaderStyle>

<ItemStyle CssClass="HideButton"></ItemStyle>
                                </asp:CommandField>


                            <asp:TemplateField HeaderText="Use As Template"  >
                                <ItemTemplate>
               <asp:HyperLink ID="HyperLink1" DataTextField="ModelID" HeaderText="Use As Template"  runat="server" 
               NavigateUrl='<%# String.Format("AttributeSelection.aspx?ModelID={0}&ModelType={1}",Eval("ModelID"),Eval("ModelType"))%>'
                Text="modify model"/>
                </ItemTemplate>
                            </asp:TemplateField>
                            
                                <asp:BoundField DataField="ModelFileName" HeaderText="Model Name" />
                                <asp:BoundField DataField="CreatedBy" HeaderText="Created By" />
                                <asp:BoundField DataField="DateCreated" DataFormatString="{0:d}" 
                                    HeaderText="Date Created" />
                                <asp:BoundField DataField="ModelType" HeaderText="Model Type" />
                            </Columns>
                        </asp:GridView>
                        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
                            SelectMethod="GetModelList" 
                            TypeName="WarfarinOnWeb.Code.DataAccess.DataAccessHome">
                            <SelectParameters>
                                <asp:QueryStringParameter Name="patientID" QueryStringField="PatientID" 
                                    Type="Int32" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        
                    <div class="post">
                    <h4> Attribute List for Selected Model 
                        <asp:Label ID="lblModelName" runat="server" Text=""></asp:Label></h4>
                        <div class="entry">
		                    <asp:GridView ID="gdvAttributeList" runat="server" 
                                DataSourceID="ObjectDataSource2" AutoGenerateColumns="False">
                                <Columns>
                                    <asp:BoundField DataField="ColumnName" HeaderText="ColumnName" 
                                        SortExpression="ColumnName" />
                                    <asp:BoundField DataField="Function" HeaderText="Function" 
                                        SortExpression="Function" />
                                    <asp:BoundField DataField="Interval" HeaderText="Interval" 
                                        SortExpression="Interval" />
                                    <asp:CheckBoxField DataField="IsOutput" HeaderText="IsOutput" 
                                        SortExpression="IsOutput" />
                                    <asp:BoundField DataField="AttributeName" HeaderText="AttributeName" 
                                        SortExpression="AttributeName" />
                                </Columns>
                        </asp:GridView>
                            <asp:ObjectDataSource ID="ObjectDataSource2" runat="server" 
                                SelectMethod="GetAttributeList" 
                                TypeName="WarfarinOnWeb.Code.DataAccess.DataAccessHome">
                                <SelectParameters>
                                    <asp:ControlParameter ControlID="gvModelList"  Name="ModelID" 
                                        PropertyName="SelectedValue" DefaultValue="1" Type="Int32" />
                                </SelectParameters>
                            </asp:ObjectDataSource>
                        </div> 
                    </div> 
                        

		
	            </div>
	        </div> 
	        
	        
	        
</asp:Content>

