﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace WarfarinOnWeb
{
    public partial class PatientList : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Session["User"] == null)
            {
                Response.Redirect("./Login.aspx");
            }
            
            if (Request.QueryString["ToMake"] != null)
                Session["ToMake"] = Request.QueryString["ToMake"].ToString();
            else
                Session["ToMake"] = "model";
        }
        protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                HyperLink hp = (HyperLink) e.Row.FindControl("HyperLink1");
                if (Session["ToMake"].ToString() == "prediction")
                {
                    //hp.NavigateUrl = "MakePrediction.aspx?PatientID=" + DataBinder.Eval(e.Row.DataItem, "PatientID");
                    hp.NavigateUrl = String.Format("MakePrediction.aspx?PatientID={0}&PatientName={1}", DataBinder.Eval(e.Row.DataItem, "PatientID"), DataBinder.Eval(e.Row.DataItem, "FullName"));

                }
                
                
            }


        }
    }
}
