﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AttributeSelection.aspx.cs" Inherits="WarfarinOnWeb.AttributeSelection" MasterPageFile="~/MasterPageWarfarin.Master" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server"> 
<asp:Panel ID="Panel1" runat="server" Visible="true">
        
    <div class="post">
        
				<h2 class="title">
                    <asp:Label ID="lblTitle" runat="server" Text="Choose your attributes"></asp:Label>  </h2>
				
				<div class="entry">
				    <h4 class="title">Step 1. Select Calculated Attributes</h4>
				    <table border="1">
				    <tr>
				    <th>Column Name</th>
				    <th>Function</th>
				    <th>Interval</th>
				    <th>No of Intervals to make one data point</th>
				
				    
				    </tr>
				        <tr>
				            <td>
                                <asp:RadioButtonList ID="rbtColumnNames" runat="server"  DataSourceID="ObjectDataSource1"
                                     DataTextField="Name"  DataValueField="Name"  >
                                </asp:RadioButtonList>
                                <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
                                    SelectMethod="GetAttributeColumns" 
                                    TypeName="WarfarinOnWeb.Code.DataAccess.DataAccessHome">
                                    <SelectParameters>
                                        <asp:Parameter DefaultValue="yes" Name="applyFunction" Type="String" />
                                        <asp:QueryStringParameter DefaultValue="" Name="usedByModelType" 
                                            QueryStringField="ModelType" Type="String" />
                                    </SelectParameters>
                                </asp:ObjectDataSource>
                            </td>
                            <td>
                            <asp:RadioButtonList ID="rbtFunctions" runat="server"> 
                                    <asp:ListItem >Sum</asp:ListItem>
                                     <asp:ListItem >Avg</asp:ListItem>
                                     <asp:ListItem>Min</asp:ListItem>
                                     <asp:ListItem>Max</asp:ListItem>
                                     <asp:ListItem>Delta</asp:ListItem>
                                     <asp:ListItem>None</asp:ListItem>
                                    
                                </asp:RadioButtonList>
                            </td>
                            <td>
                                <asp:DropDownList ID="ddlInterval" runat="server">
                                <asp:ListItem Text="day" Value="1"></asp:ListItem>
                                <asp:ListItem Text="total" Value="0" ></asp:ListItem>
                               
                                </asp:DropDownList>
                            </td>
                            <td>
                            
                           
                                <asp:TextBox ID="txtIntervalCount" runat="server">1</asp:TextBox>
                            </td>
                            
                            <td>
                            
                                <asp:CheckBox ID="ckbIsOutput1" runat="server" Text="Is Output" />
                                
                            </td>
                           
                        </tr>
				    </table>
				    
				</div> 
				    <table >
	                    <tr style="width:500px;">
	                        <td style="width:400px;"></td>
	                        <td style="width:100px;" align="right">
                                <asp:Button ID="btnAddCalculatedAttribute" runat="server" Text="Add Calculated Attribute" 
                                    onclick="btnAddCalculatedAttribute_Click" Width="200px" />
                            </td>
                        </tr>
                    </table>
              <div class="entry">
              <h4 class="title"> Step 2.Select General Attributes</h4>
              <table border="1">
              <tr>
              <td>
              <asp:CheckBoxList ID="ckbList" runat="server" DataSourceID="ObjectDataSource2" 
                      DataTextField="Name" DataValueField="Name">
                  </asp:CheckBoxList>
                  <asp:ObjectDataSource ID="ObjectDataSource2" runat="server" 
                      SelectMethod="GetAttributeColumns" 
                      TypeName="WarfarinOnWeb.Code.DataAccess.DataAccessHome">
                      <SelectParameters>
                          <asp:Parameter DefaultValue="no" Name="applyFunction" Type="String" />
                          <asp:QueryStringParameter DefaultValue="" Name="usedByModelType" 
                              QueryStringField="ModelType" Type="String" />
                      </SelectParameters>
                  </asp:ObjectDataSource>
              </td>
              <td><asp:CheckBox ID="ckbIsOutput2" runat="server" Text="Is Output" /></td>
              </tr>
              </table>
                  
                  <table>
	                    <tr style="width:500px;">
	                        <td style="width:400px;"></td>
	                        <td style="width:100px;" align="right">
                  <asp:Button ID="btnAddGeneralAttribute" runat="server" Text="Add General Attributes" 
                                    onclick="btnAddGeneralAttribute_Click" Width="200px" />
                  </td>
                        </tr>
                    </table>
              </div>       
              <div class="entry">
                  
                  
              <h4 class="title">
                  <asp:Label ID="lblTitleNo3" runat="server" Text="3. (OPTIONAL) Check attributes that you would like to repeate for number of previous readings"></asp:Label></h4>
                  <asp:GridView ID="gvAttributes" runat="server" EmptyDataText="No records found"
                  OnRowDeleting="gvAttributes_RowDeleting"  AutoGenerateDeleteButton ="True" AutoGenerateColumns ="False"
                       >
                      <Columns>
                          <asp:BoundField DataField="ColumnName" HeaderText="ColumnName"/>
                          <asp:BoundField DataField="AttributeName" HeaderText="AttributeName"/>
                          <asp:BoundField DataField="Function" HeaderText="Function" />
                           <asp:BoundField DataField="Interval" HeaderText="Interval" 
                              NullDisplayText="total"/>
                            
                           <%-- <asp:CommandField ShowDeleteButton="true" HeaderText="Delete"  />--%>
                           <asp:BoundField 
                              DataField="IsOutput" HeaderText="Is Output" />
                          
                          <asp:TemplateField>
                            <ItemTemplate>
                                <asp:CheckBox runat="server" ID="RowLevelCheckBox" HeaderText="Repeat" />
                            </ItemTemplate>
                          </asp:TemplateField>

                          
                      </Columns>
                  
                  </asp:GridView>
              </div> 
              <asp:Panel ID="pRepetingAttributes" runat="server">
              <div class="entry">
              
                              How many previous readings would you like to include for the attributes checked?  
                                <asp:DropDownList ID="ddlNoLastReadings" runat="server">
                                <asp:ListItem>1</asp:ListItem>
                                <asp:ListItem>2</asp:ListItem>
                                <asp:ListItem>3</asp:ListItem>
                                <asp:ListItem>4</asp:ListItem>
                                </asp:DropDownList>
                                
                                <table>
	                    <tr style="width:500px;">
	                        <td style="width:400px;"></td>
	                        <td style="width:100px;" align="right">
                  <asp:Button ID="btnRepeateAttributes" runat="server" Text="Add Repeating Attributes" 
                                    onclick="btnAddRepeatingAttributes_Click" Width="200px" />
                  </td>
                        </tr>
                    </table>
                           
              </div>
              </asp:Panel> 
              <div class="entry">
              <h4 class="title"> Step 4. Check Algorithms to be used to build models</h4> 
               <asp:CheckBoxList ID="ckAlgorithms" runat="server">
               <asp:ListItem Value="smo">SMO</asp:ListItem>
               <asp:ListItem Value="smoreg">SMOreg</asp:ListItem>
               <asp:ListItem Value="nnge">NNge</asp:ListItem>
               <asp:ListItem Value="j48">J48</asp:ListItem>
               <asp:ListItem Value="flr">FLR</asp:ListItem>
               <asp:ListItem Value="ibk">IBk</asp:ListItem>
               </asp:CheckBoxList>
           </div>   
              <div class="entry">
                  <asp:Button ID="Button1" runat="server" Text="Create Models" 
                      onclick="btnModel_Click" />
                  <asp:Label ID="lblErrorMsg" runat="server" Font-Bold="True" ForeColor="#CC0000"></asp:Label>
              </div> 
           
             
             
	</div> 
    
	</asp:Panel>
	<asp:Panel ID="Panel2" runat="server" Visible="false">
        <asp:Label ID="Label1" runat="server" Text="" CssClass="title"></asp:Label>
    </asp:Panel>
				
</asp:Content>