﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace WarfarinOnWeb
{
    public partial class DoseList : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            int patientID= int.Parse(Request.QueryString["PatientID"].ToString());
            string patientName = Request.QueryString["FullName"].ToString();
            Session["PatientID"] = patientID;
            lblTitle.Text = "History Dose list for patient " + patientName;
            //if (GridView1.Rows.Count == 0)
            //{
            //    // no dose history for this patient make grid unvisible
            //    GridView1.Visible = false;
            //    lblTitle.Visible = false;
            //    Response.Redirect("./MultiplePatientHistoryCriteriaSelection.aspx");
            //}

        }

        protected void btnNext_Click(object sender, EventArgs e)
        {

            if (rdbtnModelSelection.SelectedItem.Value == "ModelList.aspx")
            {
                Response.Redirect("./" + rdbtnModelSelection.SelectedItem.Value + "?PatientID=" + Session["PatientID"].ToString());
            }
            else
            {
                ListItem rdListItem = rdbtnModelType.SelectedItem;
                if (rdListItem == null)
                    Response.Redirect("./AttributeSelection.aspx?ModelType=single");
                else
                    Response.Redirect("./AttributeSelection.aspx?ModelType=" + rdListItem.Value);
            }
        }
        

        protected void rdbtnModelSelection_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (rdbtnModelSelection.SelectedItem.Value == "AttributeSelection.aspx")
            {
                rdbtnModelType.Visible = true;
                lblMOdelQuestion.Visible = true;
            }
            else
            {
                rdbtnModelType.Visible = false;
                lblMOdelQuestion.Visible = false;
            }
        }

    }
}
